Bug 28436 - non-strict inter-package dependencies
: non-strict inter-package dependencies
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/kde4pim)
: unstable
: all Linux
: P3 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2013-01-24 05:06 by
Modified: 2013-01-30 16:59 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2013-01-24 05:06:53
warning: kde4pim-akonadi: non-strict dependency on libakonadi4_next
warning: kde4pim-akonadi: non-strict dependency on libcalendarsupport4
warning: kde4pim-akonadi: non-strict dependency on libkdepim4
warning: kde4pim-akonadi: non-strict dependency on libmailcommon4
warning: kde4pim-akonadi: non-strict dependency on libmessagecomposer4
warning: kde4pim-akonadi: non-strict dependency on libmessageviewer4
warning: kde4pim-akregator: non-strict dependency on libakregatorinterfaces4
warning: kde4pim-akregator: non-strict dependency on libakregatorprivate4
warning: kde4pim-akregator: non-strict dependency on libkdepim4
warning: kde4pim-core: non-strict dependency on libkdepim4
warning: kde4pim-core: non-strict dependency on libmailcommon4
warning: kde4pim-core: non-strict dependency on libmessagecomposer4
warning: kde4pim-core: non-strict dependency on libmessageviewer4
warning: kde4pim-core: non-strict dependency on libpimcommon4
warning: kde4pim-devel: non-strict dependency on libakonadi4_next
warning: kde4pim-devel: non-strict dependency on libakregatorinterfaces4
warning: kde4pim-devel: non-strict dependency on libcalendarsupport4
warning: kde4pim-devel: non-strict dependency on libeventviews4
warning: kde4pim-devel: non-strict dependency on libincidenceeditorsng4
warning: kde4pim-devel: non-strict dependency on libincidenceeditorsngmobile4
warning: kde4pim-devel: non-strict dependency on libkcal4_resourceblog
warning: kde4pim-devel: non-strict dependency on libkcal4_resourceremote
warning: kde4pim-devel: non-strict dependency on libkdepim4
warning: kde4pim-devel: non-strict dependency on libkdepimdbusinterfaces4
warning: kde4pim-devel: non-strict dependency on libkdepimmobileui4
warning: kde4pim-devel: non-strict dependency on libkdgantt24
warning: kde4pim-devel: non-strict dependency on libkleo4
warning: kde4pim-devel: non-strict dependency on libkleopatraclientcore4
warning: kde4pim-devel: non-strict dependency on libkleopatraclientgui4
warning: kde4pim-devel: non-strict dependency on libkmanagesieve4
warning: kde4pim-devel: non-strict dependency on libknodecommon4
warning: kde4pim-devel: non-strict dependency on libkorganizer4_core
warning: kde4pim-devel: non-strict dependency on libkorganizer4_interfaces
warning: kde4pim-devel: non-strict dependency on libkpgp4
warning: kde4pim-devel: non-strict dependency on libksieve4
warning: kde4pim-devel: non-strict dependency on libksieveui4
warning: kde4pim-devel: non-strict dependency on libmailcommon4
warning: kde4pim-devel: non-strict dependency on libmailimporter4
warning: kde4pim-devel: non-strict dependency on libmbox4
warning: kde4pim-devel: non-strict dependency on libmessagecomposer4
warning: kde4pim-devel: non-strict dependency on libmessagelist4
warning: kde4pim-devel: non-strict dependency on libmessageviewer4
warning: kde4pim-devel: non-strict dependency on libpimcommon4
warning: kde4pim-devel: non-strict dependency on libtemplateparser4
warning: kde4pim-kaddressbook-mobile: non-strict dependency on
libcalendarsupport4
warning: kde4pim-kaddressbook-mobile: non-strict dependency on
libincidenceeditorsngmobile4
warning: kde4pim-kaddressbook-mobile: non-strict dependency on libkdepim4
warning: kde4pim-kaddressbook-mobile: non-strict dependency on
libkdepimmobileui4
warning: kde4pim-kaddressbook-mobile: non-strict dependency on libkleo4
warning: kde4pim-kaddressbook: non-strict dependency on libkaddressbookprivate4
warning: kde4pim-kaddressbook: non-strict dependency on libkdepim4
warning: kde4pim-kaddressbook: non-strict dependency on libkleo4
warning: kde4pim-kalarm: non-strict dependency on libkdepim4
warning: kde4pim-kjots: non-strict dependency on libakonadi4_next
warning: kde4pim-kleopatra: non-strict dependency on libkdepim4
warning: kde4pim-kleopatra: non-strict dependency on libkleo4
warning: kde4pim-kleopatra: non-strict dependency on libkleopatraclientgui4
warning: kde4pim-kmail-common: non-strict dependency on libcalendarsupport4
warning: kde4pim-kmail-common: non-strict dependency on libincidenceeditorsng4
warning: kde4pim-kmail-common: non-strict dependency on libkdepim4
warning: kde4pim-kmail-common: non-strict dependency on libkleo4
warning: kde4pim-kmail-common: non-strict dependency on libmailcommon4
warning: kde4pim-kmail-common: non-strict dependency on libmbox4
warning: kde4pim-kmail-common: non-strict dependency on libmessagecomposer4
warning: kde4pim-kmail-common: non-strict dependency on libmessageviewer4
warning: kde4pim-kmail-common: non-strict dependency on libtemplateparser4
warning: kde4pim-kmail-mobile: non-strict dependency on libakonadi4_next
warning: kde4pim-kmail-mobile: non-strict dependency on libcalendarsupport4
warning: kde4pim-kmail-mobile: non-strict dependency on
libincidenceeditorsngmobile4
warning: kde4pim-kmail-mobile: non-strict dependency on libkdepim4
warning: kde4pim-kmail-mobile: non-strict dependency on libkdepimmobileui4
warning: kde4pim-kmail-mobile: non-strict dependency on libkleo4
warning: kde4pim-kmail-mobile: non-strict dependency on libksieveui4
warning: kde4pim-kmail-mobile: non-strict dependency on libmailcommon4
warning: kde4pim-kmail-mobile: non-strict dependency on libmbox4
warning: kde4pim-kmail-mobile: non-strict dependency on libmessagecomposer4
warning: kde4pim-kmail-mobile: non-strict dependency on libmessageviewer4
warning: kde4pim-kmail-mobile: non-strict dependency on libpimcommon4
warning: kde4pim-kmail-mobile: non-strict dependency on libtemplateparser4
warning: kde4pim-kmail: non-strict dependency on libkdepim4
warning: kde4pim-kmail: non-strict dependency on libkmailprivate4
warning: kde4pim-kmail: non-strict dependency on libmailcommon4
warning: kde4pim-kmail: non-strict dependency on libmailimporter4
warning: kde4pim-kmail: non-strict dependency on libmessagecomposer4
warning: kde4pim-kmail: non-strict dependency on libmessageviewer4
warning: kde4pim-kmail: non-strict dependency on libpimcommon4
warning: kde4pim-knode: non-strict dependency on libkdepim4
warning: kde4pim-knode: non-strict dependency on libknodecommon4
warning: kde4pim-knotes: non-strict dependency on libkdepim4
warning: kde4pim-kontact: non-strict dependency on libcalendarsupport4
warning: kde4pim-kontact: non-strict dependency on libkdepim4
warning: kde4pim-kontact: non-strict dependency on libkdepimdbusinterfaces4
warning: kde4pim-kontact: non-strict dependency on libkontactprivate4
warning: kde4pim-korganizer-mobile: non-strict dependency on
libcalendarsupport4
warning: kde4pim-korganizer-mobile: non-strict dependency on libeventviews4
warning: kde4pim-korganizer-mobile: non-strict dependency on
libincidenceeditorsngmobile4
warning: kde4pim-korganizer-mobile: non-strict dependency on libkdepim4
warning: kde4pim-korganizer-mobile: non-strict dependency on
libkdepimdbusinterfaces4
warning: kde4pim-korganizer-mobile: non-strict dependency on libkdepimmobileui4
warning: kde4pim-korganizer: non-strict dependency on libcalendarsupport4
warning: kde4pim-korganizer: non-strict dependency on libeventviews4
warning: kde4pim-korganizer: non-strict dependency on libincidenceeditorsng4
warning: kde4pim-korganizer: non-strict dependency on libkdepim4
warning: kde4pim-korganizer: non-strict dependency on libkdepimdbusinterfaces4
warning: kde4pim-korganizer: non-strict dependency on libkorganizer4_core
warning: kde4pim-korganizer: non-strict dependency on libkorganizer4_interfaces
warning: kde4pim-korganizer: non-strict dependency on libkorganizerprivate4
warning: kde4pim-kresources: non-strict dependency on libkcal4_resourceblog
warning: kde4pim-kresources: non-strict dependency on libkcal4_resourceremote
warning: kde4pim-notes-mobile: non-strict dependency on libakonadi4_next
warning: kde4pim-notes-mobile: non-strict dependency on libkdepimmobileui4
warning: kde4pim-tasks-mobile: non-strict dependency on libcalendarsupport4
warning: kde4pim-tasks-mobile: non-strict dependency on libeventviews4
warning: kde4pim-tasks-mobile: non-strict dependency on
libincidenceeditorsngmobile4
warning: kde4pim-tasks-mobile: non-strict dependency on libkdepim4
warning: kde4pim-tasks-mobile: non-strict dependency on
libkdepimdbusinterfaces4
warning: kde4pim-tasks-mobile: non-strict dependency on libkdepimmobileui4
warning: kde4pim: non-strict dependency on kde4pim-environment-mobile
warning: kde4pim: non-strict dependency on kde4pim-environment-workstation
warning: libakregatorprivate4: non-strict dependency on libakregatorinterfaces4
warning: libakregatorprivate4: non-strict dependency on libkdepim4
warning: libcalendarsupport4: non-strict dependency on libkdepimdbusinterfaces4
warning: libeventviews4: non-strict dependency on libakonadi4_next
warning: libeventviews4: non-strict dependency on libcalendarsupport4
warning: libeventviews4: non-strict dependency on libkdgantt24
warning: libincidenceeditorsng4: non-strict dependency on libcalendarsupport4
warning: libincidenceeditorsng4: non-strict dependency on libkdepim4
warning: libincidenceeditorsng4: non-strict dependency on
libkdepimdbusinterfaces4
warning: libincidenceeditorsng4: non-strict dependency on libkdgantt24
warning: libincidenceeditorsngmobile4: non-strict dependency on
libcalendarsupport4
warning: libincidenceeditorsngmobile4: non-strict dependency on libkdepim4
warning: libincidenceeditorsngmobile4: non-strict dependency on
libkdepimdbusinterfaces4
warning: libkaddressbookprivate4: non-strict dependency on libkdepim4
warning: libkaddressbookprivate4: non-strict dependency on libpimcommon4
warning: libkcal4_resourceblog: non-strict dependency on libkdepim4
warning: libkcal4_resourceremote: non-strict dependency on libkdepim4
warning: libkleopatraclientgui4: non-strict dependency on
libkleopatraclientcore4
warning: libkmailprivate4: non-strict dependency on libkdepim4
warning: libkmailprivate4: non-strict dependency on libkleo4
warning: libkmailprivate4: non-strict dependency on libkpgp4
warning: libkmailprivate4: non-strict dependency on libksieveui4
warning: libkmailprivate4: non-strict dependency on libmailcommon4
warning: libkmailprivate4: non-strict dependency on libmbox4
warning: libkmailprivate4: non-strict dependency on libmessagecomposer4
warning: libkmailprivate4: non-strict dependency on libmessagelist4
warning: libkmailprivate4: non-strict dependency on libmessageviewer4
warning: libkmailprivate4: non-strict dependency on libpimcommon4
warning: libkmailprivate4: non-strict dependency on libtemplateparser4
warning: libknodecommon4: non-strict dependency on libkdepim4
warning: libknodecommon4: non-strict dependency on libkleo4
warning: libknodecommon4: non-strict dependency on libkpgp4
warning: libknodecommon4: non-strict dependency on libmessagecomposer4
warning: libknodecommon4: non-strict dependency on libmessageviewer4
warning: libkontactprivate4: non-strict dependency on libkdepim4
warning: libkorganizer4_core: non-strict dependency on libcalendarsupport4
warning: libkorganizer4_core: non-strict dependency on libeventviews4
warning: libkorganizerprivate4: non-strict dependency on libakonadi4_next
warning: libkorganizerprivate4: non-strict dependency on libcalendarsupport4
warning: libkorganizerprivate4: non-strict dependency on libeventviews4
warning: libkorganizerprivate4: non-strict dependency on libincidenceeditorsng4
warning: libkorganizerprivate4: non-strict dependency on libkdepim4
warning: libkorganizerprivate4: non-strict dependency on
libkdepimdbusinterfaces4
warning: libkorganizerprivate4: non-strict dependency on libkorganizer4_core
warning: libkorganizerprivate4: non-strict dependency on
libkorganizer4_interfaces
warning: libkorganizerprivate4: non-strict dependency on libpimcommon4
warning: libksieveui4: non-strict dependency on libkmanagesieve4
warning: libksieveui4: non-strict dependency on libksieve4
warning: libksieveui4: non-strict dependency on libpimcommon4
warning: libmailcommon4: non-strict dependency on libakonadi4_next
warning: libmailcommon4: non-strict dependency on libincidenceeditorsng4
warning: libmailcommon4: non-strict dependency on libkdepim4
warning: libmailcommon4: non-strict dependency on libmailimporter4
warning: libmailcommon4: non-strict dependency on libmbox4
warning: libmailcommon4: non-strict dependency on libmessagecomposer4
warning: libmailcommon4: non-strict dependency on libmessageviewer4
warning: libmailcommon4: non-strict dependency on libpimcommon4
warning: libmailcommon4: non-strict dependency on libtemplateparser4
warning: libmailimporter4: non-strict dependency on libkdepim4
warning: libmessagecomposer4: non-strict dependency on libkdepim4
warning: libmessagecomposer4: non-strict dependency on libkleo4
warning: libmessagecomposer4: non-strict dependency on libmbox4
warning: libmessagecomposer4: non-strict dependency on libmessageviewer4
warning: libmessagecomposer4: non-strict dependency on libtemplateparser4
warning: libmessagelist4: non-strict dependency on libmbox4
warning: libmessageviewer4: non-strict dependency on libkdepim4
warning: libmessageviewer4: non-strict dependency on libkleo4
warning: libmessageviewer4: non-strict dependency on libkpgp4
warning: libmessageviewer4: non-strict dependency on libmbox4
warning: libpimcommon4: non-strict dependency on libkdepim4
warning: libtemplateparser4: non-strict dependency on libmbox4
warning: libtemplateparser4: non-strict dependency on libmessageviewer4

У kde4* совсем беда с межпакетными зависимостями, kde4pim - только пример.
------- Comment #1 From 2013-01-29 00:03:39 -------
Вопрос может быть решен простой пересборкой пакета.

Из всех нестрогих зависимостей останутся только
warning: kde4pim: non-strict dependency on kde4pim-environment-workstation
warning: kde4pim: non-strict dependency on kde4pim-environment-mobile
и это, видимо, правильно.
------- Comment #2 From 2013-01-29 14:49:51 -------
(В ответ на комментарий №1)
> Из всех нестрогих зависимостей останутся только
> warning: kde4pim: non-strict dependency on kde4pim-environment-workstation
> warning: kde4pim: non-strict dependency on kde4pim-environment-mobile
Это хорошо.
------- Comment #3 From 2013-01-29 14:53:53 -------
(В ответ на комментарий №1)
> Из всех нестрогих зависимостей останутся только
> warning: kde4pim: non-strict dependency on kde4pim-environment-workstation
> warning: kde4pim: non-strict dependency on kde4pim-environment-mobile
Ой! Надеюсь, на пакеты kde4pim-environment-workstation и
kde4pim-environment-mobile нигде зависимостей не будет?
Там нужна только зависимость на виртуальный kde4pim-environment.
------- Comment #4 From 2013-01-30 03:49:12 -------
(In reply to comment #3)
> (В ответ на комментарий №1)
> > Из всех нестрогих зависимостей останутся только
> > warning: kde4pim: non-strict dependency on kde4pim-environment-workstation
> > warning: kde4pim: non-strict dependency on kde4pim-environment-mobile
> Ой! Надеюсь, на пакеты kde4pim-environment-workstation и
> kde4pim-environment-mobile нигде зависимостей не будет?
> Там нужна только зависимость на виртуальный kde4pim-environment.

Фраза
warning: A: non-strict dependency on B
означает, что пакет B удовлетворяет какую-то зависимость пакета A, но строгой
зависимости A от B нет.
Поскольку пряма зависимость на пакет превратилась бы в строгую, эта фраза
фактически означает, что прямой зависимости нет, но косвенная зависимость есть.
------- Comment #5 From 2013-01-30 15:12:48 -------
Просто, я kde обновляю и добрался до kde4pim только сейчас, чтоб посмотреть,
что будет в действительности.
------- Comment #6 From 2013-01-30 16:59:11 -------
Всё ок